//==============================================================================
// Copyright (C) Ross MacArthur, Shaylin Chetty, Sean Wood
//
// Description:
//     EEE4084F YODA Project: MUX8
//     A simple 8-to-1 multiplexer
//==============================================================================
module MUX8( 
	input[2:0] sel,
	input[11:0] d1,
	input[11:0] d2,
	input[11:0] d3,
	input[11:0] d4,
	input[11:0] d5,
	input[11:0] d6,
	input[11:0] d7,
	input[11:0] d8,
	output[11:0] q
);
//------------------------------------------------------------------------------
wire [11:0] d[7:0];
//------------------------------------------------------------------------------
assign d[0] = d1;
assign d[1] = d2;
assign d[2] = d3;
assign d[3] = d4;
assign d[4] = d5;
assign d[5] = d6;
assign d[6] = d7;
assign d[7] = d8;
assign q = d[sel];
//------------------------------------------------------------------------------
endmodule
//==============================================================================