//==============================================================================
// Copyright (C) Ross MacArthur, Shaylin Chetty, Sean Wood
//
// Description:
//     EEE4084F YODA Project: MUX4
//     A simple 4-to-1 multiplexer
//==============================================================================
module MUX4( 
	input[1:0] sel,
	input[11:0] d1,
	input[11:0] d2,
	input[11:0] d3,
	input[11:0] d4,
	output[11:0] q
);
//------------------------------------------------------------------------------
wire [11:0] d[3:0];
//------------------------------------------------------------------------------
assign d[0] = d1;
assign d[1] = d2;
assign d[2] = d3;
assign d[3] = d4;
assign q = d[sel];
//------------------------------------------------------------------------------
endmodule
//==============================================================================